Subject: Re: 23.0.60; isearch string not quoted in M-s h r

From: Chong Yidong <[email-masked]>
Date: Tue, 02 Sep 2008 20:05:35 -0400

"Lennart Borgman (gmail)" <[email-masked]> writes:

> Chong Yidong wrote:
>>> If you do for example
>>>
>>>   C-s some. M-s h r
>>>
>>> then the search string from isearch is not quoted when
>>> highlight-regexp gets it which means it will match for example
>>> "something".
>> 
>> I don't understand.  How is this a bug?
>
> C-s and then "some." just matches the string "some.". If it is
> converted to a regexp without quoting it will also match "somet" and
> that was not what the user wanted.
>
> I think this worked before. Something went wrong when you (was it
> you?)  took care of the case insensitive problem.

OK, now I understand.  I've checked in a fix.  Thanks for spotting this.